diff --git a/L1TriggerScouting/OnlineProcessing/plugins/BMTFStubMultiBxSelector.cc b/L1TriggerScouting/OnlineProcessing/plugins/BMTFStubMultiBxSelector.cc
index 954de7ee4921..77a029eb2e2a 100644
--- a/L1TriggerScouting/OnlineProcessing/plugins/BMTFStubMultiBxSelector.cc
+++ b/L1TriggerScouting/OnlineProcessing/plugins/BMTFStubMultiBxSelector.cc
@@ -52,12 +52,11 @@ BMTFStubMultiBxSelector::BMTFStubMultiBxSelector(const edm::ParameterSet& iPSet)
     : stubsTokenData_(consumes(iPSet.getParameter<edm::InputTag>("stubsTag"))),
       condition_(iPSet.getParameter<std::string>("condition")),
       bxWindowLength_(iPSet.getParameter<unsigned>("bxWindowLength")),
-      minNBMTFStub_(iPSet.getParameter<unsigned>("minNBMTFStub"))
-{
+      minNBMTFStub_(iPSet.getParameter<unsigned>("minNBMTFStub")) {
   std::vector<std::string> vConditions = {"simple", "wheel"};
   if (std::find(vConditions.begin(), vConditions.end(), condition_) == vConditions.end())
     throw cms::Exception("BMTFStubMultiBxSelector::BMTFStubMultiBxSelector")
-      << "Condition '" << condition_ << "' not supported or not found";
+        << "Condition '" << condition_ << "' not supported or not found";
 
   produces<std::vector<unsigned>>("SelBx").setBranchAlias("MultiBxStubsSelectedBx");
 }
@@ -74,13 +73,14 @@ void BMTFStubMultiBxSelector::produce(edm::Event& iEvent, const edm::EventSetup&
 
   // Loop over valid bunch crossings
   for (const unsigned& bx : stubsCollection->getFilledBxs()) {
-    if (bx < bxWindowLength_) continue;
+    if (bx < bxWindowLength_)
+      continue;
 
     // Get number of stubs in every BX of the window and place in vector
     unsigned numStubsWindow = 0;
     std::vector<int> vNumStubBx(bxWindowLength_, 0);
     for (unsigned i = 0; i < bxWindowLength_; ++i)
-      vNumStubBx[i] = stubsCollection->getBxSize(bx-i);
+      vNumStubBx[i] = stubsCollection->getBxSize(bx - i);
 
     // Sum elements of nStub vector
     numStubsWindow = std::reduce(vNumStubBx.begin(), vNumStubBx.end());
@@ -90,12 +90,12 @@ void BMTFStubMultiBxSelector::produce(edm::Event& iEvent, const edm::EventSetup&
       continue;
 
     // Simple condition: just number of stubs (already checked)
-    if (condition_=="simple") {
+    if (condition_ == "simple") {
       for (unsigned i = 0; i < bxWindowLength_; ++i)
-        uniqueStubSelectedBxs->insert(bx-i);
+        uniqueStubSelectedBxs->insert(bx - i);
     }
     // Wheel condition: enough longitudinally "neighbouring" stubs
-    else if (condition_=="wheel") {
+    else if (condition_ == "wheel") {
       bool validWindow = false;
 
       // Find unique values for wheels in all BXs of window
@@ -103,7 +103,8 @@ void BMTFStubMultiBxSelector::produce(edm::Event& iEvent, const edm::EventSetup&
 
       // Fill vector of sets of wheels (one element/set per BX in window)
       for (unsigned i = 0; i < bxWindowLength_; ++i)
-        for (const auto& s : stubsCollection->bxIterator(bx-i)) vWheelBx[i].insert(s.wheel());
+        for (const auto& s : stubsCollection->bxIterator(bx - i))
+          vWheelBx[i].insert(s.wheel());
 
       // Check if there are stubs in different BXs with neighbouring wheels
       // For example (with window of 3 BXs, neighbouring condition abs(wheel_pair) <= 1)
@@ -117,13 +118,14 @@ void BMTFStubMultiBxSelector::produce(edm::Event& iEvent, const edm::EventSetup&
       // If window is valid, add BXs of window to
       if (validWindow) {
         for (unsigned i = 0; i < bxWindowLength_; ++i)
-          uniqueStubSelectedBxs->insert(bx-i);
+          uniqueStubSelectedBxs->insert(bx - i);
       }
     }
   }  // end orbit loop
 
   // Convert set of selected BXs to a vector and put collection in event content
-  std::unique_ptr<std::vector<unsigned>> stubSelectedBx = std::make_unique<std::vector<unsigned>>(uniqueStubSelectedBxs->begin(), uniqueStubSelectedBxs->end());
+  std::unique_ptr<std::vector<unsigned>> stubSelectedBx =
+      std::make_unique<std::vector<unsigned>>(uniqueStubSelectedBxs->begin(), uniqueStubSelectedBxs->end());
   iEvent.put(std::move(stubSelectedBx), "SelBx");
 }
 
